<< zerocrossing | FOSSEE_Signal_Processing_Toolbox | zp2ss >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > zp2sos

# zp2sos

This function converts filter poles and zeros to second-order sections.

### Syntax

    [sos] = zp2sos(z)
    [sos] = zp2sos(z, p)
    [sos] = zp2sos(z, p, k)
    [sos, g] = zp2sos(...)

### Parameters

z:

  column vector

p:

  column vector

k:

  real or complex value, default value is 1

### Description

This function converts filter poles and zeros to second-order sections. The first and second parameters are column vectors containing zeros and poles. The third parameter is the overall filter gain, the default value of which is 1. The output is the sos matrix and the overall gain. If there is only one output argument, the overall filter gain is applied to the first second-order section in the sos matrix.

### Examples

    zp2sos([1, 2, 3], 2, 6)

Report an issue
<< zerocrossing | FOSSEE_Signal_Processing_Toolbox | zp2ss >>